summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorTomas Chvatal <scarabeus@gentoo.org>2012-06-13 11:06:17 +0000
committerTomas Chvatal <scarabeus@gentoo.org>2012-06-13 11:06:17 +0000
commit5a7b3d340351550c6c929e1c30e18d0da16e090d (patch)
tree4b1e979e0d5a2e67d6e360e094c6e088cf3c37cc /eclass
parentvcs-snapshot eclass (diff)
downloadgentoo-2-5a7b3d340351550c6c929e1c30e18d0da16e090d.tar.gz
gentoo-2-5a7b3d340351550c6c929e1c30e18d0da16e090d.tar.bz2
gentoo-2-5a7b3d340351550c6c929e1c30e18d0da16e090d.zip
Handle dodoc correctly to not die if no documents are found.
Diffstat (limited to 'eclass')
-rw-r--r--eclass/ChangeLog5
-rw-r--r--eclass/myspell-r2.eclass8
2 files changed, 10 insertions, 3 deletions
diff --git a/eclass/ChangeLog b/eclass/ChangeLog
index 2d396224ad50..1c0a2929bf25 100644
--- a/eclass/ChangeLog
+++ b/eclass/ChangeLog
@@ -1,6 +1,9 @@
# ChangeLog for eclass directory
# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.311 2012/06/12 09:17:33 sera Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.312 2012/06/13 11:06:17 scarabeus Exp $
+
+ 13 Jun 2012; Tomáš Chvátal <scarabeus@gentoo.org> myspell-r2.eclass:
+ Handle dodoc correctly to not die if no documents are found.
12 Jun 2012; Ralph Sennhauser <sera@gentoo.org> java-vm-2.eclass:
Convert docs to eclass-manpages.
diff --git a/eclass/myspell-r2.eclass b/eclass/myspell-r2.eclass
index b9715aef8b91..eb3fe6a31a6d 100644
--- a/eclass/myspell-r2.eclass
+++ b/eclass/myspell-r2.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/myspell-r2.eclass,v 1.2 2012/04/24 13:07:03 scarabeus Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/myspell-r2.eclass,v 1.3 2012/06/13 11:06:17 scarabeus Exp $
# @ECLASS: aspell-dict.eclass
# @MAINTAINER:
@@ -94,5 +94,9 @@ myspell-r2_src_install() {
done
# Readme and so on
- dodoc *.txt || die
+ for x in *.txt README*; do
+ if [[ -f ${x} ]]; then
+ dodoc ${x} || die
+ fi
+ done
}